<?PHP
/**
 * Constains lists for grouping times.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Provides a list for finding the respective event type for a given time role.
 */
final class MDConcTime {

    const TIME_ROLES_TO_EVENT_TYPE = [

        # General / not yet (?) categorized
        "Laufzeit" => 24,

        # Production
        "Herstellungsjahr" => 1,
        "Herst.-Zeitraum" => 1,
        "Herstellungsjahr (Nachbau)" => 1,
        "Datierung" => 1,

        # Template creation
        "Datierung der Vorlage" => 4,

        # Recording / Image taken
        "Datierung der Aufnahme" => 10,

        // Was issued
        "Ausfertigungsdatum" => 14,

        # Printing
        "Druckdatum" => 26,

        # Intellectual creation
        "Entwurf" => 35,

    ];

}
